## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException Class Reference

`#include <XalanFStreamOutputStream.hpp>`

Inheritance diagram for XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException:

[legend]
Collaboration diagram for XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException:

[legend]
List of all members.

## Public Methods

- XalanFStreamOutputStreamWriteException (int theErrorCode, XalanDOMString &theBuffer)
    Construct an XalanFStreamOutputStreamWriteException exception object for an exception that occurred while writing to a file stream. More...
- virtual ~XalanFStreamOutputStreamWriteException ()
- virtual const XalanDOMChar* getType () const
    Retrieve type of exception. More...

## Constructor & Destructor Documentation

XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException::XalanFStreamOutputStreamWriteException ( | int theErrorCode,
| XalanDOMString & theBuffer )

  | Construct an XalanFStreamOutputStreamWriteException exception object for an exception that occurred while writing to a file stream. Parameters:
  theErrorCode | number of error encountered

XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException::~XalanFStreamOutputStreamWriteException ( | )`[virtual]`

## Member Function Documentation

const XalanDOMChar * XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException::getType ( | ) const`[virtual]`

| Retrieve type of exception. Returns: type of exception Reimplemented from XalanOutputStream::XalanOutputStreamException.

The documentation for this class was generated from the following file:

- XalanFStreamOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.